#
# spec file for package vokoscreen
#
# Copyright (c) 2015 Mariusz Fik <fisiu@opensuse.org>.
# Copyright (c) 2015 Packman team: http://packman.links2linux.org/
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


Name:           vokoscreen
Version:        2.3.0
Release:        1.1
Summary:        Screencast creator
License:        GPL-2.0
Group:          Productivity/Multimedia/Other
Url:            https://github.com/vkohaupt/vokoscreen
Source:         https://github.com/vkohaupt/vokoscreen/archive/%{version}.tar.gz
BuildRequires:  libqt4-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(opencv)
### Required for recording
Requires:       ffmpeg
### Required for mp3 audio
Requires:       lame
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
vokoscreen is an easy to use screencast creator to record educational videos,
live recordings of browser, installation, videoconferences, etc.

%prep
%setup -q

%build
qmake \
      QMAKE_STRIP="" \
      QMAKE_CFLAGS+="%{optflags}" \
      QMAKE_CXXFLAGS+="%{optflags}"
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot} %{?_smp_mflags}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CHANGE CREDITS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.png

%changelog
* Mon May  4 2015 fisiu@opensuse.org
- Update to 2.3.0:
  * pause changed from mkvtoolnix to ffmpeg[-concat]
  * delete mkvmerge stuff
  * fix DISPLAY variable bug
- Drop Requires: mkvtoolnix
* Sun Apr 19 2015 fisiu@opensuse.org
- Update to 2.2.0:
  * add comatibility with ffmpeg 2.6
  * drop avconv support
  * enhanced webcam control window
  * new languages: Japan, Indonesian
  * x264 set as default video codec
  * many bugs got fixed
* Wed Nov  5 2014 fisiu@opensuse.org
- Update to 2.1.0:
  * multiscreen support
  * mirrored webcam picture
  * show webcam picture over full screen application
  * remove ffplay and avplay from playerlist
  * many bugfixes
* Thu Mar 27 2014 fisiu@opensuse.org
- Update to 2.0.0.
* Thu Feb 13 2014 dap.darkness@gmail.com
- Update to 1.9.5:
  * no upstream change log.
- Switched to download_files service.
- Qmake debug info stripping was disabled.
- Rpm opt flags became used.
* Fri Nov 22 2013 fisiu@opensuse.org
- Update to 1.8.0:
  * New record area.
  * Countdown-timer.
  * Support for avconv.
* Sat Aug  3 2013 fisiu@opensuse.org
- Use stable release x.y.0 instead devel snapshots.
* Fri Aug  2 2013 fisiu@opensuse.org
- Initial package at version 1.7.7.
